# Generated by rust2rpm
%bcond_without check

%global crate heatseeker

Name:           rust-%{crate}
Version:        1.6.1
Release:        1%{?dist}
Summary:        Fast, robust, and portable fuzzy finder

License:        MIT
URL:            https://crates.io/crates/heatseeker
Source:         %{crates_source}
# Initial patched metadata
# * No Windows deps
Patch0:         heatseeker-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(crossbeam/default) >= 0.7.0 with crate(crossbeam/default) < 0.8.0)
BuildRequires:  (crate(getopts/default) >= 0.2.15 with crate(getopts/default) < 0.3.0)
BuildRequires:  (crate(libc/default) >= 0.2.31 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(num_cpus/default) >= 1.7.0 with crate(num_cpus/default) < 2.0.0)
BuildRequires:  (crate(signal-hook/default) >= 0.1.3 with crate(signal-hook/default) < 0.2.0)
BuildRequires:  (crate(time/default) >= 0.1.38 with crate(time/default) < 0.2.0)
BuildRequires:  (crate(unicode-width/default) >= 0.1.4 with crate(unicode-width/default) < 0.2.0)

%global _description \
A fast, robust, and portable fuzzy finder.

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate}
%{summary}.

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/hs

%prep
%autosetup -n %{crate}-%{version_no_tilde} -N
find -type f -name '*.rs' -exec sed -i -e 's/\r$//' {} +
%autopatch -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
env TRAVIS=1 %cargo_test
%endif

%changelog
* Tue Apr 16 2019 Josh Stone <jistone@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Sat Mar 09 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.0-1
- Initial package
